com.threerings.micasa.simulator.data

## Class SimulatorMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.micasa.simulator.data.SimulatorMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, SimulatorService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from SimulatorService.java.")
    public class SimulatorMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements SimulatorService

Provides the implementation of the `SimulatorService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `CREATE_GAME` The method id used to dispatch `createGame(com.threerings.parlor.game.data.GameConfig, java.lang.String, int)` requests.

### Constructor Summary

Constructors
Constructor and Description
`SimulatorMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createGame(GameConfig arg1, String arg2, int arg3)` Requests that a new game be created.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CREATE_GAME

    public static final int CREATE_GAME

The method id used to dispatch `createGame(com.threerings.parlor.game.data.GameConfig, java.lang.String, int)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### SimulatorMarshaller

    public SimulatorMarshaller()

### Method Detail

#### createGame

    public void createGame(GameConfig arg1,
                           String arg2,
                           int arg3)

Description copied from interface: `SimulatorService`
Requests that a new game be created.

Specified by:
  `createGame` in interface `SimulatorService`
Parameters:
  `arg1` - the game config for the game to be created.
  `arg2` - the class name of the simulant to create.
  `arg3` - the number of players in the game.